### Hierarchy

- EntityForm

## Index

### Constructors

- constructor

### Properties

- data
- dataCopy
- dataJson
- definitions
- definitionsJson
- language
- translateService

### Methods

- render
- renderFormField
- translate

## Constructors

### constructor

- new EntityForm(): EntityForm

- - Defined in form/entity-form.tsx:17

  #### Returns EntityForm

## Properties

### data

data: any

- Defined in form/entity-form.tsx:13

### dataCopy

dataCopy: any

- Defined in form/entity-form.tsx:9

### dataJson

dataJson: string

- Defined in form/entity-form.tsx:15

### definitions

definitions: any

- Defined in form/entity-form.tsx:10

### definitionsJson

definitionsJson: string

- Defined in form/entity-form.tsx:16

### language

language: string

- Defined in form/entity-form.tsx:17

### translateService

translateService: any

- Defined in form/entity-form.tsx:11

## Methods

### render

- render(): Element

- - Defined in form/entity-form.tsx:177

  #### Returns Element

### renderFormField

- renderFormField(key: any): Element

- - Defined in form/entity-form.tsx:27

  #### Parameters

  - ##### key: any

  #### Returns Element

### translate

- translate(str: string): any

- - Defined in form/entity-form.tsx:23

  #### Parameters

  - ##### str: string

  #### Returns any